import { request } from './request'

const baseUri = ''
const company = '/wx/company'
const record = '/wx/record'
const warn = '/wx/warn'
const companyExamine = '/wx/companyExamine'
const SocialPublicNoticeController = '/wx/SocialPublicNoticeController'
const PublicReportHiddenTroubleLifelineController = '/wx/PublicReportHiddenTroubleLifelineController'

export function editInfo(data) {
    return request({
        url: baseUri + company + '/editInfo',
        method: 'post',
        data: data
    })
}
export function listForAppTrouble(data) {
    return request({
        url: PublicReportHiddenTroubleLifelineController + '/listForApp',
        method: 'post',
        data: data
    })
}
export function getTroubleDetail(data) {
    return request({
        url: PublicReportHiddenTroubleLifelineController + '/getById',
        method: 'post',
        data: data
    })
}
export function addForApp(data) {
    return request({
        url: PublicReportHiddenTroubleLifelineController + '/addForApp',
        method: 'post',
        data: data
    })
}
export function listForApp(data) {
    return request({
        url: SocialPublicNoticeController + '/listForApp',
        method: 'post',
        data: data
    })
}
export function getNoticeById(data) {
    return request({
        url: SocialPublicNoticeController + '/getById',
        method: 'post',
        data: data
    })
}
export function info(data) {
    return request({
        url: baseUri + company + '/info',
        method: 'post',
        data: data
    })
}
export function getCount(data) {
    return request({
        url: '/wx/fillController/getCount',
        method: 'post',
        data: data
    })
}
export function getUnreadCount(data) {
    return request({
        url: '/wx/noticePark/getUnreadCount',
        method: 'post',
        data: data
    })
}
export function initPasswordCheck(data) {
    return request({
        url: '/wx/auth/initPasswordCheck',
        method: 'post',
        data: data
    })
}
export function getRegistrationCount(data) {
    return request({
        url: '/wx/parkActivity/getRegistrationCount',
        method: 'post',
        data: data
    })
}
export function getTagInfo(data) {
    return request({
        url: baseUri + company + '/getTagInfo',
        method: 'post',
        data: data
    })
}

export function getById(data) {
    return request({
        url: baseUri + company + '/getById',
        method: 'post',
        data: data
    })
}
export function add(data) {
    return request({
        url: baseUri + companyExamine + '/add',
        method: 'post',
        data: data
    })
}
export function resetPassword(data) {
    return request({
        url: baseUri + company + '/resetPassword',
        method: 'post',
        data: data
    })
}
export function getRecordList(data) {
    return request({
        url: baseUri + record + '/list',
        method: 'post',
        data: data
    })
}

export function getWarnList(data) {
    return request({
        url: baseUri + warn + '/list',
        method: 'post',
        data: data
    })
}

export function getWarnEdit(data) {
    return request({
        url: baseUri + warn + '/edit',
        method: 'post',
        data: data
    })
}
export function findAllSimpleCompanies(data) {
    return request({
        url: baseUri + company + '/findAllSimpleCompanies',
        method: 'post',
        data: data
    })
}
export function isFinishComInfo(data) {
    return request({
        url: baseUri + company + '/isFinishComInfo',
        method: 'post',
        data: data
    })
}
export function isFirstLogin(data) {
    return request({
        url: baseUri + company + '/isFirstLogin',
        method: 'post',
        data: data
    })
}
